class CreatePBoxFdps < ActiveRecord::Migration
  def change
    create_table :p_box_fdps do |t|
      t.references :p_product, index: true, foreign_key: true
      t.references :p_sheet_line
      t.integer :p_product_archived_id
      t.decimal :nbr_el, precision: 10, scale: 2
      t.decimal :nbr_in_box, precision: 10, scale: 2
      t.integer :qte
      t.decimal :price, precision: 10, scale: 2
      t.text :notes
      t.integer :element_id
      t.string :element_type

      t.timestamps null: false
    end
  end
end
